Subject: Re: Escape character for .gitconfig

From: Erik Blake <[email-masked]>
Date: Tue, 20 Dec 2011 09:04:41 +0100

Hi Dirk,

I ended up using "'C:/Program Files (x86)/Notepad++/notepad++.exe' 
-multiInst -notabbar -nosession -noPlugin" which works nicely for me 
(note the placement of the inner quotations).

It is notepad.exe (the default Windows editor) that fails on files with 
only <lf> termination. That's why I was trying to set notepad++ as the 
git editor as it is vastly superior.

Cheers,
Erik

On 2011-12-19 16:59, Dirk Süsserott wrote:
> Am 18.12.2011 10:51 schrieb Jeff King:
>> On Sun, Dec 18, 2011 at 08:53:09AM +0100, Erik Blake wrote:
>>
> [...]
>>> Now, however, I have a different problem in that notepad++ is somehow
>>> signalling git that editing is complete before I even get a chance to
>>> edit the file. I am trying the command
>>>> git commit --amend
> [...]
>> I know nothing about notepad++, but a quick google turned up the
>> "-multiInst" option, which would avoid attaching to the existing
>> instance. That might work for you.
>>
>> -Peff
> Jeff is right! I also use notepad++ and have set
>
> export GIT_EDITOR='notepad++ -multiInst'
>
> in my .bashrc (msysGit). And btw: notepad++ DOES handle cr/lf. Look at
> the "Format" menu.
>
>      Dirk